AWS::SSM::Document DocumentRequires - AWS CloudFormation

AWS::SSM::Document DocumentRequires

An SSM document required by the current document.

Syntax

To declare this entity in your AWS CloudFormation template, use the following syntax:

JSON

{ "Name" : String, "Version" : String }

YAML

Name: String Version: String

Properties

Name

The name of the required SSM document. The name can be an Amazon Resource Name (ARN).

Required: No

Type: String

Pattern: ^[a-zA-Z0-9_\-.:/]{3,128}$

Update requires: No interruption

Version

The document version required by the current document.

Required: No

Type: String

Pattern: ([$]LATEST|[$]DEFAULT|^[1-9][0-9]*$)

Update requires: No interruption